summaryrefslogtreecommitdiff
path: root/dev-python/PyGithub/PyGithub-1.43.8.ebuild
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2019-08-02 19:14:55 +0100
committerV3n3RiX <venerix@redcorelinux.org>2019-08-02 19:14:55 +0100
commitb24bd25253fe093f722ab576d29fdc41d04cb1ee (patch)
tree0fcf2afd9f852c4d4c291cf8afaa2c244d598105 /dev-python/PyGithub/PyGithub-1.43.8.ebuild
parent121ed4eec41fbf03e1998d09eede1bf449da63b9 (diff)
gentoo resync : 02.08.2019
Diffstat (limited to 'dev-python/PyGithub/PyGithub-1.43.8.ebuild')
-rw-r--r--dev-python/PyGithub/PyGithub-1.43.8.ebuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/PyGithub/PyGithub-1.43.8.ebuild b/dev-python/PyGithub/PyGithub-1.43.8.ebuild
new file mode 100644
index 000000000000..5585ba44ef02
--- /dev/null
+++ b/dev-python/PyGithub/PyGithub-1.43.8.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library to access the Github API v3"
+HOMEPAGE="https://github.com/PyGithub/PyGithub/"
+# Use github since pypi is missing test data
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/deprecated[${PYTHON_USEDEP}]
+ dev-python/pyjwt[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.0[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/httpretty[${PYTHON_USEDEP}]
+ )"
+
+python_prepare_all() {
+ # tests requiring network access
+ sed -i -e 's:testDecodeJson:_&:' tests/Issue142.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # silly!
+ cp -r tests "${BUILD_DIR}" || die
+ if python_is_python3; then
+ 2to3 --no-diffs -n -w "${BUILD_DIR}"/tests || die
+ fi
+
+ cd "${BUILD_DIR}" || die
+ "${EPYTHON}" -m unittest -v tests.AllTests || die "Tests fail with ${EPYTHON}"
+}